package org.greenstone.gsdl3.gs3build.doctypes;

import java.net.URL;
import org.w3c.dom.Element;

import org.greenstone.gsdl3.gs3build.metadata.*;

/** Interface for Recogniser Objects
 *
 * A skeleton class is provided for simple Recognisers (AbstractRecogniser)
 * 
*/
public interface RecogniserInterface
{
    public boolean configure(Element config_elem);
    public void setListRepository(DocumentList docList);
    public boolean parseDocument(METSFile fileReference);
    public boolean parseDocument(URL fileReference);
}
